package cn.com.poc.thirdparty.resource.text_in.entity.doc_flow.fileFetchResponse;

import java.util.List;

public class ChildFileData {
    /**
     * 字段列表
     */
    private List<KeyValue> fields;
    /**
     * 手写体信息
     */
    private List<HandWritingValue> handwritings;
    /**
     * 发票验真结果
     */
    private PurpleInvoiceVerifyResult invoiceVerifyResult;
    /**
     * 表格数据列表
     */
    private List<List<KeyValue>> items;
    /**
     * 印章信息
     */
    private List<StampValue> stamps;
    /**
     * 全部表格数据列表（含系统表格和手动配置表格）
     */
    private List<PurpleTable> tables;

    public List<KeyValue> getFields() { return fields; }
    public void setFields(List<KeyValue> value) { this.fields = value; }

    public List<HandWritingValue> getHandwritings() { return handwritings; }
    public void setHandwritings(List<HandWritingValue> value) { this.handwritings = value; }

    public PurpleInvoiceVerifyResult getInvoiceVerifyResult() { return invoiceVerifyResult; }
    public void setInvoiceVerifyResult(PurpleInvoiceVerifyResult value) { this.invoiceVerifyResult = value; }

    public List<List<KeyValue>> getItems() { return items; }
    public void setItems(List<List<KeyValue>> value) { this.items = value; }

    public List<StampValue> getStamps() { return stamps; }
    public void setStamps(List<StampValue> value) { this.stamps = value; }

    public List<PurpleTable> getTables() { return tables; }
    public void setTables(List<PurpleTable> value) { this.tables = value; }
}